#include<stdio.h>
#include<math.h>
#include<stdlib.h>
#include<time.h>
void unosniza(int A[],double P[],int N);
double funkcija(int A[],double P[],int N);
int main()
{
	int N;
	int A[100000],i;
	double P[100000];
	scanf("%d",&N);
	unosniza(A,P,N);
	printf("%.4lf",funkcija(A,P,N));
}
void unosniza(int A[],double P[],int N)
{
	int i;
	for(i=0;i<N;i++)
	{
		scanf("%d%lf",&A[i],&P[i]);
	}
}
double funkcija(int A[],double P[],int N)
{
	int i;
	int suma=0;
	for(i=0;i<N;i++)
	{
		if(P[i]>=77.32&&P[i]<100)
		{
			suma+=A[i];
		}
	}
	return (suma*(77.32/100));
}